Extending Qt Creator Manual | SummaryPageFactory

Extending Qt Creator Manual 4.7.1

# SummaryPageFactory Class

(ProjectExplorer::Internal::SummaryPageFactory)

- List of all members, including inherited members

## Public Functions

| SummaryPageFactory()
Utils::WizardPage * | create(ProjectExplorer::JsonWizard *wizard, int typeId, const QVariant &data) override
bool | validateData(int typeId, const QVariant &data, int *errorMessage) override

## Member Function Documentation

### SummaryPageFactory::SummaryPageFactory()

Default constructs an instance of SummaryPageFactory.

### Utils::WizardPage *SummaryPageFactory::create(ProjectExplorer::JsonWizard *wizard, int typeId, const QVariant &data)

### bool SummaryPageFactory::validateData(int typeId, const QVariant &data, int *errorMessage)